# Copyright (C) 2008, Cyril Hu (cyrilhu@gmail.com)
# 
# This library is free software; you can redistribute it and/or
# modify it under the terms of the GNU Lesser General Public
# License as published by the Free Software Foundation; either
# version 2.1 of the License, or (at your option) any later version.
# 
# This library is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
# Lesser General Public License for more details.
# 
# You should have received a copy of the GNU Lesser General Public
# License along with this library; if not, write to the Free Software
# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
# 
ifeq "$(CCENV)" "GCC_UNIX"
CROSS_PREFIX:=
OBJEXT:= o
CC:= $(CROSS_PREFIX)gcc
LD:= $(CROSS_PREFIX)ld
AR:= $(CROSS_PREFIX)ar -rcs
CP:= cp -f
RM:= rm -f
SYMLINK:= ln -s
D_TARGET:= libul.so
S_TARGET:= $(TOPDIR)/libul.a
VER_MAJOR:= 0
VER_MINOR:= 1
LIBDIR:= /usr/lib
INCDIR:= /usr/include
CFLAGS:= -O2 -Wall -pipe -fomit-frame-pointer -std=c99 -I.
LDFLAGS:= -shared -h$(D_TARGET).$(VER_MAJOR)
endif

ifeq "$(CCENV)" "GCC_WINNT"
CROSS_PREFIX:=
OBJEXT:= o
CC:= $(CROSS_PREFIX)gcc
LD:= $(CROSS_PREFIX)ld
AR:= $(CROSS_PREFIX)ar -rcs
CP:= copy /y
RM:= del /f /q
D_TARGET:= ul.dll
S_TARGET:= $(subst /,\,$(TOPDIR)/libul.a)
LIBDIR:= $(subst /,\,$(CCDIR)/lib)
INCDIR:= $(subst /,\,$(CCDIR)/include)
CFLAGS:= -O2 -Wall -pipe -fomit-frame-pointer -std=c99 -I.
LDFLAGS:= -shared
endif

ifeq "$(CCENV)" "MSC_WINNT"
OBJEXT:= obj
D_TARGET:= ul.dll
S_TARGET:= ul.lib
INCDIR:= "$(CCDIR)\include"
LIBDIR:= "$(CCDIR)\lib"
CC:= cl /nologo
LD:= link /nologo /libpath:$(LIBDIR) /dll /machine:I386 /out:$(D_TARGET) libc.lib
AR:= lib /nologo /out:$(S_TARGET)
CP:= copy /y
RM:= del /f /q
CFLAGS:= /W3 /O2 /Ot /Ob2 /Og /Oy /G6 /GA /I$(INCDIR) /I.
endif

ifeq "$(CCENV)" "BCC_DOS"
OBJEXT:= obj
D_TARGET:=
S_TARGET:= $(TEMP)\ul.lib
CMDSUFFIX:= $(ComSpec) /c start /separate /w
CC:= $(CMDSUFFIX) bcc
LD:= $(CMDSUFFIX) tlink
AR:= $(CMDSUFFIX) tlib /c
CP:= copy /y
RM:= del /f /q
CFLAGS:= -D_CC_DONOT_INLINE -I$(INCDIR) -I.
endif
