/* Copyright (C) 2008, Cyril Hu (cyrilhu@gmail.com)

This library is free software; you can redistribute it and/or
modify it under the terms of the GNU Lesser General Public
License as published by the Free Software Foundation; either
version 2.1 of the License, or (at your option) any later version.

This library is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
Lesser General Public License for more details.

You should have received a copy of the GNU Lesser General Public
License along with this library; if not, write to the Free Software
Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA. */

#if defined(STR_DEBUG) || defined(STR_RMLSPC_DEBUG)
#include <stdio.h>
#include <string.h>
#endif

/* Remove leading space(s) from src, 
 * return a pointer to changed src. */
char *rmlspc(const char *src)
{
	while(*src) {
#ifdef STR_DEBUG
		printf("rmlspc(): src=\"%s\"\n", src);
#endif
		if(*src != ' ')
			break;
		src++;
	}

#ifdef STR_DEBUG
	printf("rmlspc(): changed src=\"%s\"\n\n", src);
#endif
	return (char *)src;
}

#ifdef STR_RMLSPC_DEBUG
int main(void)
{
	char buf[512]="                   let\'s learn string stripping, shall we?";
	rmlspc(buf);
	strcpy(buf, "yes,,");
	rmlspc(buf);
	strcpy(buf, "       yes,,  sdf     ");
	rmlspc(buf);
	strcpy(buf, "               ");
	rmlspc(buf);
	strcpy(buf, "");
	rmlspc(buf);
	return 0;
}
#endif
